var express = require('express'),
    assert = require('assert'),
    dnsbl = require('../lib/routes/dnsbl');

describe('routes/dnsbl', function () {

  describe('#setup', function () {

    it('should accept an express server', function () {
      var server = express.createServer();
      assert.doesNotThrow(function () {
        dnsbl.setup(server);
      });
    });

    it('should not accept non-express server', function () {
      assert.throws(function () {
        dnsbl.setup({});
      });
    });

    it('should setup route for GET /check.json');
    it('should setup route for GET /check.png');

  });

  describe('#route', function () {

    it('should verify the presence of ip');
    it('should only accept zones that are in the zones array');
    it('should take a req, res and output the result as JSON when format is json');
    it('should take a req, res and output the result as a PNG when format is png');

  });

});
